Bug 119454 - text gets garbled printing with postscript
Summary: text gets garbled printing with postscript
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+ Master
Hardware: All Linux (All)
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-23 14:44 UTC by Xisco Faulí
Modified: 2018-09-17 08:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison before and after (10.81 KB, image/png)
2018-08-23 14:44 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-08-23 14:44:16 UTC
This is a follow-up of bug 119357

Steps to reproduce:
1. Open attachment 144281 [details] from bug 119357
2. Print as a file using postscript language ( not reproduced printing as PDF )

Observed behaviour: The text get garbled in the .ps file. See attached image comparing the resultin file before de8f6b25de6fbe813fe172542e7eff1596b37335 and after 4a58fd0e81b0375c71f6182233f0ec9390942cd1 which is the fix for bug 119357

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: e78a6c4231cfb33643b45442b786e1e31b2781a8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-08-23 14:44:40 UTC
Created attachment 144394 [details]
comparison before and after
Comment 2 Xisco Faulí 2018-08-23 14:50:40 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/59510/
Comment 3 Commit Notification 2018-08-23 17:11:51 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0a5a564c359adc55f953c7545f52740e90a6e2e

tdf#119454 don't advance PS glyphs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-08-25 18:34:44 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=447b5706355d6b8e257e63925bf5818e7e963aeb&h=libreoffice-6-1

tdf#119454 don't advance PS glyphs

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-08-27 06:59:09 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=feed12d932ffa9c5d76868a384c6ccea8eb095b4&h=libreoffice-6-1-1

tdf#119454 don't advance PS glyphs

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-09-17 08:20:30 UTC
Works as aspected on
Version: 6.2.0.0.alpha0+
Build ID: e005ab5d40d358adb75a64e140d46f4bf605647d
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-15_02:08:38
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded